Bug 463838 - [LTC 6.0 FEAT] 201025:Cluster enablement of NFSv4 server
[LTC 6.0 FEAT] 201025:Cluster enablement of NFSv4 server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
high Severity high
: alpha
: ---
Assigned To: Ric Wheeler
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 16:41 EDT by IBM Bug Proxy
Modified: 2009-09-17 11:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 11:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 16:41:22 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:52 EDT
1. Feature Overview:
Feature Id:	[201025]
a. Name of Feature:	Cluster enablement of NFSv4 server
b. Feature Description
The following areas (briefly covered) need to be addressed to enable NFSv4 for cluster environment.
 Some of them are already developed and included (or planned to include) in distro releases.  But,
mentioned here for completeness.    Share Reservations: When a cluster file system is exported with
NFSv4, multiple NFSv4 servers export a common back-end file system, so ACCESS and DENY reservations
must be distributed to take into account shares from other NFSv4 servers. In other words, the NFSv4
server has to ask the cluster file system if an incoming OPEN share can be granted.     Byte Range
Locking: NFSv4 byte-range locks are non-blocking, so clients contending for a lock must poll. This
raises the stakes for fair queueing, as a local process waiting for a lock will almost always
acquire the contended lock before an NFSv4 client can.  Addressing fair queueing, the NFSv4 spec
suggests that the server should maintain an ordered list of pending blocking locks. More broadly,
queue fairness suggests that all lock requesters (local processes, LOCKD, and the NFSv4 server)
should share such an ordered list.     Delegations: The major addition to NFS version 4 in the area
of caching is the ability of the server to delegate certain responsibilities to the client.  The
essence of a delegation is that it allows the client to locally service operations such as OPEN,
CLOSE, LOCK, LOCKU, READ, WRITE without immediate interaction with the server.     Recovery and
Client Migration: Exporting a shared cluster file system with multiple NFS servers can increase
performance and availability through load-balancing and failover. The NFSv4 protocol has migration
and failover features.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Remote Filesystems
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	kernel

3. Business Case
NFS is being used more and more in cluster environments.  Although, the community is focusing on
other cluster file systems, our main focus is GPFS specific areas.  The NFS need to be fit in the
increasing number of cluster file system solutions.  It improves load balancing, performance ability
to support on GPFS in clustered environment, and of course GPFS sales and customer base.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarahw@us.ibm.com, 503-578-5145

Technical contact(s):
Frank Filz, ffilz@us.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 Bill Nottingham 2008-10-03 13:51:18 EDT
Is this targeted at a specific kernel version? Any links to upstream status?
Comment 2 IBM Bug Proxy 2009-03-02 12:11:00 EST
This feature has been a placeholder for Almaden GPFS work on cluster enablement. In practice, they open bugzillas as issues arise and code is available. Keeping a placeholder bugzilla open doesn't serve any useful purpose.
Comment 3 Ric Wheeler 2009-09-17 11:26:35 EDT
Closing this placeholder. Please open specific requests for new features as needed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.